Bug 173690 - editors/openoffice-3 upgrade leaves symlink pointing to old (now non-existent) version
Summary: editors/openoffice-3 upgrade leaves symlink pointing to old (now non-existent...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-17 20:00 UTC by freebsd
Modified: 2014-04-30 23:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2012-11-17 20:00:00 UTC
upgrading editors/openoffice-3 using
  portmaster editors/openoffice-3
leaves the symlink in /usr/local/bin pointing to the old version:

  lrwxr-xr-x  1 root  wheel  16 May 27 20:37 /usr/local/bin/openoffice -> openoffice-3.4.0
  -r-xr-xr-x  1 root  wheel  378 Nov 17 01:17 /usr/local/bin/openoffice-3.4.1

Fix: 

manually delete the link and remake it:
  cd /usr/local/bin
  rm openoffice
  ln -s openoffice-3.4.1 openoffice
How-To-Repeat: install a 3.4.0 version and do an upgrade
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-11-18 14:34:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer(s).
Comment 2 Pedro F. Giffuni freebsd_committer 2014-04-30 23:25:42 UTC
State Changed
From-To: open->closed

openoffice-3 is not available anymore. 
All efforts are focused on openoffice-4 now. 
New OpenOffice ports support staging so broken packages should 
be much easier to detect.